<div class="basic-page">
  <div class="page-header">
    <h3>{{ 'Economic.Market.Marketplace' | translate }}</h3>
  </div>
  <p>{{ 'Economic.Entity.MarketInfo' | translate }}</p>
  <div nz-row nzType="flex" nzGutter="8" nzAlign="middle" nzJustify="start" ngClass="padded">
    <div nz-col nzXs="24" nzSm="6">
      <nz-select style="width: 100%;" nzAllowClear nzPlaceHolder="Select country" nzShowSearch
        [nzCustomTemplate]="custom" [(ngModel)]="selectedCountryId" (ngModelChange)="countrySelected($event)">
        <nz-option *ngFor="let item of countries" nzCustomContent [nzLabel]="item.name" [nzValue]="item.id">
          <img src="{{hostUrl}}/{{item.flagLocation[0]}}" /> {{item.name}} </nz-option>
      </nz-select>
      <ng-template #custom>
        <span><img src="{{hostUrl}}/{{selectedCountry.flagLocation[0]}}" /> {{selectedCountry.name}}
        </span>
      </ng-template>
    </div>
    <div *ngIf="entity?.entityType > 1" nz-col nzXs="24" nzSm="6">
      <nz-select style="width: 100%;" nzShowSearch nzAllowClear nzPlaceHolder="Select a company"
        [(ngModel)]="selectedCompanyId" (ngModelChange)="companySelected($event)">
        <nz-option *ngFor="let item of companies" [nzLabel]="item.name" [nzValue]="item.id">
        </nz-option>
      </nz-select>
    </div>
  </div>
  <div nz-row nzType="flex" nzAlign="middle" nzJustify="start" style="padding-top: 0px;"
    ngClass="padded market-navigation">
    <a class="img" (click)="selectedItemId = 1; loadOffers();"><img
        src="{{hostUrl}}/assets/img/ico/eco/prod/grain.png" /></a>
    <a class="img" (click)="selectedItemId = 3; loadOffers();"><img
        src="{{hostUrl}}/assets/img/ico/eco/prod/fruit.png" /></a>
    <a class="img" (click)="selectedItemId = 5; loadOffers();"><img
        src="{{hostUrl}}/assets/img/ico/eco/prod/iron.png" /></a>
    <a class="img" (click)="selectedItemId = 7; loadOffers();"><img
        src="{{hostUrl}}/assets/img/ico/eco/prod/oil.png" /></a>
    <a class="img" (click)="selectedItemId = 9; loadOffers();"><img
        src="{{hostUrl}}/assets/img/ico/eco/prod/wood.png" /></a>
  </div>
  <nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
    <nz-alert style="padding-bottom: 15px;" *ngIf="offers.length === 0" nzType="info"
      nzMessage="No offers for this raw material." nzShowIcon>
    </nz-alert>
    <div class="listitem-container" *ngIf="offers.length > 0">
      <div *ngFor="let offer of offers" nz-row nzType="flex" nzAlign="middle" nzJustify="space-between" nzGutter="8"
        class="listitem">
        <div nz-col nzXs="4">
          <a style="display: block;" href="{{hostUrl}}/company/{{offer.company.entityId}}" target="_blank">
            <img class="avatar small" src="{{hostUrl}}/{{offer.company.avatarLocation}}" />
            <br />
            {{ offer.company.name }}
          </a>
        </div>
        <div nz-col nzXs="4">
          <img style="width: 30px; height: 30px;"
            src="{{hostUrl}}/assets/img/ico/eco/prod/{{offer.industryName}}.png" />
          <br />
          <span class="gold" *ngFor="let i of offer.quality | q">&#9733;</span>
        </div>
        <div nz-col nzXs="4">
          {{ offer.available }}
        </div>
        <div nz-col nzXs="4">
          {{ offer.price }} {{ offer.currencyName }}
        </div>
        <div nz-col nzXs="4">
          <input *ngIf="canAccept" class="amMarket normal" type="number" min="0" placeholder="0"
            [(ngModel)]="offer.amount" maxlength="5">
        </div>
        <div nz-col nzXs="4">
          <button nz-button *ngIf="canAccept" nzType="green" (click)="buyOffer(offer.id)">
            Buy
          </button>
        </div>
      </div>
    </div>
    <div nz-row nzType="flex" nzAlign="middle" nzJustify="end" ngClass="padded" *ngIf="offers.length > 0">
      <div nz-col>
        <nz-pagination [(nzPageIndex)]="page" [nzTotal]="totalEntries" nzShowSizeChanger [(nzPageSize)]="pageSize"
          (nzPageIndexChange)="loadOffers()" (nzPageSizeChange)="loadOffers()"></nz-pagination>
      </div>
    </div>
  </nz-spin>
</div>
